---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Fetch Supabase dataset versions for a v1… Reference for the GET
    /v1/projects/{projectId}/datasets/{datasetIdentifier}/versions endpoint in
    the Judgeval API.
sidebar:
  label: Fetch dataset versions
  badge: GET
title: Fetch dataset versions
type: openapi-operation
---
Fetch Supabase dataset versions for a v1 offline dataset.

`GET /v1/projects/{projectId}/datasets/{datasetIdentifier}/versions`

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404

Response example, 200:

```json
{
  "versions": [
    {
      "version_id": "string",
      "dataset_id": "string",
      "organization_id": "string",
      "project_id": "string",
      "version_number": 0,
      "created_at": "string",
      "user_id": "string",
      "item_count": 0
    }
  ]
}
```
